CSVField (Solr 3.6.2 API)
Keywords: org.apache.solr.internal.csv.writer.CSVField class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.internal.csv.writer
Class CSVField

    java.lang.Object
      org.apache.solr.internal.csv.writer.CSVField

    public class CSVField

extends Object

Version:
  $Id: $
Author:
  Martin van den Bemt

Constructor Summary
`CSVField()`
`CSVField(String name)`
`CSVField(String name, int size)`

Method Summary
`int` | `getFill()`
`String` | `getName()`
`int` | `getSize()`
`boolean` | `overrideFill()` Does this field override fill ?
`void` | `setFill(int fill)` Sets overrideFill to true.
`void` | `setName(String name)` Set the name of the field
`void` | `setSize(int size)` Set the size of the field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVField

    public CSVField()

### CSVField

    public CSVField(String name)

Parameters:
  `name` - the name of the field

### CSVField

    public CSVField(String name,
                    int size)

Parameters:
  `name` - the name of the field
  `size` - the size of the field

Method Detail

### getName

    public String getName()

  Returns:
    the name of the field

### setName

    public void setName(String name)

  Set the name of the field

  Parameters:
    `name` - the name

### getSize

    public int getSize()

  Returns:
    the size of the field

### setSize

    public void setSize(int size)

  Set the size of the field. The size will be ignored when fixedwidth is set to false in the CSVConfig

  Parameters:
    `size` - the size of the field.

### getFill

    public int getFill()

  Returns:
    the fill pattern.

### setFill

    public void setFill(int fill)

  Sets overrideFill to true.

  Parameters:
    `fill` - the file pattern

### overrideFill

    public boolean overrideFill()

  Does this field override fill ?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD